Bug 1016027 - Docs Enhancement: Usage of BOM to manage transitive dependencies
Docs Enhancement: Usage of BOM to manage transitive dependencies
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: GA
: EAP 6.2.1
Assigned To: sgilda
Russell Dickenson
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 06:49 EDT by Nikoleta Ziakova
Modified: 2014-08-14 11:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-24 15:14:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-10-07 06:49:12 EDT
This information should be included in Maven Guide in Development Guide:
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Development_Guide/chap-Maven_Guide.html
Comment 1 Nikoleta Ziakova 2013-10-07 06:51:53 EDT
See comment #12
Comment 2 Rostislav Svoboda 2013-10-08 08:37:19 EDT
Russell, please contact Paul Gier for details. He should be able to provide text draft for docs too.

https://bugzilla.redhat.com/show_bug.cgi?id=1011918#c12

This change is very important for customer and it must be properly documented. Otherwise they won't use productized dependencies.
Comment 3 Paul Gier 2013-12-11 10:59:51 EST
This was already done for eap 6.2.0 in the "Manage Project Dependencies" section.  However, I noticed a bug in the docs.

The part that says:
  <dependencies>
    ...
    <dependency>
      <groupId>org.jboss.bom.eap</groupId>
      <artifactId>eap6-supported-artifacts</artifactId>
      <version>6.2.0.GA</version>
    </dependency>
    ...
  </dependencies>

Should be:
  <dependencies>
    ...
    <dependency>
      <groupId>org.jboss.bom.eap</groupId>
      <artifactId>eap6-supported-artifacts</artifactId>
      <version>6.2.0.GA</version>
      <type>pom</type>
      <scope>import</scope>
    </dependency>
    ...
  </dependencies>

The internal wiki now contains this correction: https://mojo.redhat.com/docs/DOC-188472
Comment 4 sgilda 2013-12-12 07:44:52 EST
Related bug was also fixed: https://bugzilla.redhat.com/show_bug.cgi?id=1040569

Per Paul Gier, this issue is resolved. Marking it modified.
Comment 6 Nikoleta Ziakova 2014-02-24 05:56:24 EST
Verified

Note You need to log in before you can comment on or make changes to this bug.